Download it now!
Bug 77380 - HTML Files Corrupted
Summary: HTML Files Corrupted
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-13 01:49 UTC by jrsww96
Modified: 2019-08-23 17:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
A normal HTML file then one corrupted after a save in LO 4.2.3 (834.45 KB, application/zip)
2014-04-13 01:49 UTC, jrsww96
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jrsww96 2014-04-13 01:49:18 UTC
Created attachment 97291 [details]
A normal HTML file then one corrupted after a save in LO 4.2.3

When I save an HTML in LibreOffice 4.2.0-4.2.3, it becomes corrupted. When I pull open the page source after LibreOffice 4.2 corrupts a file, I usually find a bunch of random characters immersed somewhere in the middle of the normal HTML file. Often, the HTML file is bloated by a megabyte or so, and crashes when re-opened in LibreOffice after the corrupt save.

This issue has varied from occasional to constant, and I have not tested this in any other platforms. It has been present in LibreOffice 4.2.0, 4.2.1, 4.2.2, and 4.2.2. IT is not an issue in LibreOffice 4.1.x.

I have attached a normal HTML file, then the file after I edited it slightly in LO 4.2.
Comment 1 jrsww96 2014-04-13 01:51:21 UTC
Meant to specify originally that this issue is prevalent in all of the platforms I've ran LO 4.2 under (WIndows XP (32), 7 (64), 8.1(64))
Comment 2 Jorendc 2014-06-14 19:47:23 UTC
When resaving the html: "Warning saving the document <filename>: Write Error. Document could not be completely saved."

Tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.beta2
Build ID: a06aa316117a6ff0f05c697c82831c227812d810

Kind regards,
Joren
Comment 3 Chris Laplante 2015-03-18 19:36:35 UTC
(In reply to Jorendc from comment #2)
> When resaving the html: "Warning saving the document <filename>: Write
> Error. Document could not be completely saved."
> 
> Tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.beta2
> Build ID: a06aa316117a6ff0f05c697c82831c227812d810
> 
> Kind regards,
> Joren

FWIW it seems this issue is resolved in the latest 4.5 developer build. I suspect it's been fixed for a while now. I am able to open index42.html and resave it as HTML without problem.
Comment 4 Xisco Faulí 2015-08-20 14:09:23 UTC
I can no longer reproduce this issue with

Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: es-ES (es_ES)

on Windows 7 (64-bit)

Thus, I close it as RESOLVED WORKSFORME
Comment 5 Yertersd 2019-07-30 06:54:04 UTC Comment hidden (spam)
Comment 6 Greg 2019-08-23 17:58:22 UTC Comment hidden (spam)